Subject: Re: bug#37423: Changing the login service from GDM to SLiM and then back to GDM causes a really bad loop

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Fri, 20 Sep 2019 00:00:32 +0200

Hi Ludo'!

Ludovic Courtès 写道：
> However, looking at the allocation routines in (gnu build 
> accounts), I
> think that this would forcefully set ‘gdm’ to 900/900 on 
> existing
> installations, even if 900 is already used by another account:

I'm already using GID 900 (and others) for my own nefarious ends. 
How would this even deal with that?  Am I doomed to forever jump 
around, dodging new hard-coded GIDs?

> (Or we could use much lower UID/GID numbers, which are less 
> likely to be
> taken…)

‘Likely’, eek ;-)

So now you're coming after my ‘25’ vmail user, eh.

Kind regards,

T G-R